## mcelog 0.3

=== Makefile ===
CFLAGS := -g -Wall
prefix := /usr

all: mcelog

.PHONY: install clean

INCLUDES := mcelog.h k8.h

mcelog: k8.o mcelog.o

k8.o: k8.c ${INCLUDES}
mcelog.o: mcelog.c ${INCLUDES}

install: mcelog.c
	cp mcelog ${prefix}/sbin/mcelog
	cp mcelog.8 ${prefix}/share/man/man8
	echo "call mcelog regularly from your crontab"

clean:
	rm -f mcelog mcelog.o k8.o
