## mcelog 0.4

=== Makefile ===
--- 
+++ 
@@ -7,8 +7,9 @@
 
 INCLUDES := mcelog.h k8.h
 
-mcelog: k8.o mcelog.o
+mcelog: p4.o k8.o mcelog.o
 
+p4.o: p4.c ${INCLUDES}
 k8.o: k8.c ${INCLUDES}
 mcelog.o: mcelog.c ${INCLUDES}
 
@@ -18,4 +19,4 @@
 	echo "call mcelog regularly from your crontab"
 
 clean:
-	rm -f mcelog mcelog.o k8.o
+	rm -f mcelog mcelog.o k8.o p4.o
