## mcelog 0.7

=== Makefile ===
CFLAGS := -g -Wall
prefix := /usr

all: mcelog

.PHONY: install clean

mcelog: p4.o k8.o mcelog.o dmi.o

p4.o: p4.c mcelog.h p4.h
k8.o: k8.c mcelog.h k8.h
mcelog.o: mcelog.c mcelog.h dmi.h p4.h k8.h

install: mcelog.c
	cp mcelog ${prefix}/sbin/mcelog
	cp mcelog.8 ${prefix}/share/man/man8
	echo
	echo "call mcelog regularly from your crontab"

clean:
	rm -f mcelog mcelog.o k8.o p4.o dmi.o dmi

dmi:	dmi.c
	gcc -o dmi ${CFLAGS} -DSTANDALONE dmi.c ${LDFLAGS}
