## mcelog 1.0~pre3

=== debian/changelog ===
mcelog (1.0~pre3-2) unstable; urgency=low

  * debian/copyright:
    + Update.

  * debian/patches/fix_dmi_segfault.patch:
    + Added; fix segfault when SMBIOS tables cannot be mmaped (closes: #585853).

 -- Julien BLACHE <jblache@debian.org>  Tue, 22 Jun 2010 18:45:02 +0200

mcelog (1.0~pre3-1) unstable; urgency=low

  * New upstream release.

  * Package converted to source format 3.0 (quilt).
    + Patches now have DEP-3 headers.

  * debian/rules:
    + Remove dpatch code.
  * debian/control:
    + Remove dpatch from Build-Depends.
    + Bump Standards-Version to 3.8.4 (no changes).
  * debian/mcelog.init:
    + Add $remote_fs to Required-{Start,Stop}.

  * debian/patches/01_64bit_mem_addr.dpatch:
    + Renamed to fix_64bit_mem_addr.patch, refreshed, content unchanged.
  * debian/patches/10_trigger_typo.dpatch:
    + Renamed to fix_trigger_typo.patch, refreshed, content unchanged.

 -- Julien BLACHE <jblache@debian.org>  Tue, 09 Mar 2010 19:39:16 +0100

mcelog (1.0~pre1-1) unstable; urgency=low

  * New upstream release (closes: #561163).
    + Disk DB for memory errors is deprecated upstream and disabled.

  * debian/mcelog.init:
    + Add support for daemon mode, keep support for trigger mode.
  * debian/mcelog.default:
    + Added; default to daemon mode for mcelog.
  * debian/mcelog.postinst:
    + Remove code handling /var/lib/memory-errors on upgrade from
      versions < 0.8~pre-5 (0.8~pre-8 in Lenny).
  * debian/mcelog.preinst:
    + Move /etc/mcelog.conf to /etc/mcelog/mcelog.conf.
  * debian/mcelog.NEWS, debian/README.Debian:
    + Updated.
  * debian/rules:
    + Restart mcelog on upgrade (remove -r from dh_installinit).

  * debian/patches/03_memory_errors.dpatch:
    + Removed; no longer needed as disk DB is now disabled.
  * debian/patches/10_trigger_typo.dpatch:
    + Added; fix a small typo in cache-error-trigger.

 -- Julien BLACHE <jblache@debian.org>  Fri, 18 Dec 2009 19:06:09 +0100

mcelog (0.9~pre+2gitb7ddf8-2) unstable; urgency=low

  * debian/mcelog.init:
    + Check for existence of $TRIGGER in all actions (closes: #553200).

 -- Julien BLACHE <jblache@debian.org>  Thu, 29 Oct 2009 17:51:05 +0100

mcelog (0.9~pre+2gitb7ddf8-1) unstable; urgency=low

  * New git snapshot, b7ddf8dbc7ad289f8e316e730b7f6d0f97720a82.
    + Several fixes, including Nehalem channel decoding.

 -- Julien BLACHE <jblache@debian.org>  Sun, 11 Oct 2009 11:23:14 +0200

mcelog (0.9~pre+1git543dbb-2) unstable; urgency=low

  * debian/control:
    + Swap udev and makedev in the alternative (closes: #546875).
    + Bump Standards-Version to 3.8.3 (no changes).

 -- Julien BLACHE <jblache@debian.org>  Wed, 16 Sep 2009 18:58:09 +0200

mcelog (0.9~pre+1git543dbb-1) unstable; urgency=low

  * Snapshot from git (543dbb) (closes: #538163).

  * Makefile:
    + Enable disk db (was always enabled in previous versions).

  * debian/copyright:
    + Mention upstream git tree location.
  * debian/rules:
    + Pass etcprefix at install time.
  * debian/dirs:
    + Add etc for conffile installation.

  * debian/patches/01_64bit_mem_addr.dpatch:
    + Updated.
  * debian/patches/02_tsc_secs_fix.dpatch:
    + Removed; fixed upstream.
  * debian/patches/03_memory_errors.dpatch:
    + Updated.

 -- Julien BLACHE <jblache@debian.org>  Fri, 24 Jul 2009 09:02:07 +0200

mcelog (0.9~pre1-3) unstable; urgency=low

  * Reupload to unstable.

 -- Julien BLACHE <jblache@debian.org>  Thu, 09 Jul 2009 13:27:33 +0200

mcelog (0.9~pre1-2) experimental; urgency=low

  * Switch to running mcelog via the kernel MCE trigger instead of running
    via cron (closes: #535180).

  * debian/README.Debian:
    + Updated for trigger mode.
  * debian/mcelog.NEWS:
    + Document switch to trigger mode.
  * debian/control:
    + Remove po-debconf build-dep.
    + Add fixed dependencies on debconf for purging the templates.
    + Fix description, MCE will now be logged to syslog.
  * debian/rules:
    + Do not install logrotate config snippet.
    + Do not install cron config snippet.
    + Do not install debconf scripts.
    + Install mcelog init script.
  * debian/mcelog.postinst:
    + Remove debconf code and stop checking for /dev/mcelog usability.
  * debian/mcelog.postrm:
    + Purge debconf templates on purge (manually).
  * debian/mcelog.preinst:
    + Remove obsolete conffiles: /etc/logrotate.d/mcelog, /etc/cron.d/mcelog,
      /etc/mcelog-disabled.
  * debian/mcelog.init:
    + Added; simple init script to set up the kernel trigger.

  * debian/patches/10_debian_test.dpatch, debian/patches/11_logrotate.dpatch,
    debian/mcelog.cron.d, debian/mcelog.templates, debian/po/*:
    + Removed.

 -- Julien BLACHE <jblache@debian.org>  Thu, 02 Jul 2009 18:41:32 +0200

mcelog (0.9~pre1-1) unstable; urgency=low

  * New upstream (pre) release.

  * debian/control:
    + Bump Standards-Version to 3.8.2 (no changes).
    + Remove supported processors from the description; the list is
      growing and is pointless now.
  * debian/copyright:
    + Updated.

  * debian/patches/03_memory_errors.dpatch:
    + Updated.
  * debian/patches/10_debian_test.dpatch:
    + Updated.

 -- Julien BLACHE <jblache@debian.org>  Tue, 30 Jun 2009 19:19:29 +0200

mcelog (0.8~pre-8) unstable; urgency=low

  * debian/mcelog.postrm:
    + Check for /var/lib/mcelog existence, in case it's been removed by dpkg
      before postrm is run (closes: #507349).

 -- Julien BLACHE <jblache@debian.org>  Sun, 30 Nov 2008 13:38:11 +0100

mcelog (0.8~pre-7) unstable; urgency=low

  * debian/control:
    + Fix typo in description (closes: #505441).

  * debian/mcelog.postinst, debian/mcelog.postrm:
    + Make postinst and postrm scripts set -e.

 -- Julien BLACHE <jblache@debian.org>  Wed, 12 Nov 2008 13:43:07 +0100

mcelog (0.8~pre-6) unstable; urgency=low

  * debian/control:
    + Bump Standards-Version to 3.8.0 (no changes).

  * debconf translations:
    + sv.po: courtesy of Martin Ågren (closes: #492064).


