## mcelog 1.0~pre3-66-g39f5b74

=== debian/changelog ===
mcelog (1.0~pre3-66-g39f5b74-1) unstable; urgency=low

  * New git snapshot.
  * Removed sourceless PDF files.

  * debian/control:
    + Bump Standards-Version to 3.9.2 (no changes).
  * debian/rules:
    + Do not define DOCDIR at install time, PDFs have been removed so there
      is no additional documentation to install anymore.

  * debian/patches/fix_timeout_bit.patch,
    debian/patches/fix_trigger_typo.dpatch:
    + Removed; merged upstream.

 -- Julien BLACHE <jblache@debian.org>  Fri, 03 Jun 2011 19:04:47 +0200

mcelog (1.0~pre3-3) unstable; urgency=low

  * debian/patches/fix_timeout_bit.patch:
    + Added; fix interpretation of the timeout bit (closes: #587365).

 -- Julien BLACHE <jblache@debian.org>  Mon, 28 Jun 2010 18:15:24 +0200
