=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Julien BLACHE <jblache@debian.org>
 Build-Depends: debhelper (>= 5.0.0)
-Standards-Version: 3.8.4
+Standards-Version: 3.9.2
 
 Package: mcelog
 Architecture: i386 amd64
