=== debian/rules ===
--- 
+++ 
@@ -53,8 +53,7 @@
 	# Add here commands to install the package into debian/mcelog.
 	mkdir -p $(CURDIR)/debian/mcelog/usr/share/doc/mcelog
 	$(MAKE) install prefix=$(CURDIR)/debian/mcelog/usr \
-		etcprefix=$(CURDIR)/debian/mcelog \
-		DOCDIR=$(CURDIR)/debian/mcelog/usr/share/doc/mcelog
+		etcprefix=$(CURDIR)/debian/mcelog
 
 # Build architecture-independent files here.
 binary-indep: build install
