## mcelog 1.0~pre3-72

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,11 @@
-CFLAGS := -g
+CFLAGS := -g -Os
 prefix := /usr
 etcprefix :=
 # Define appropiately for your distribution
 # DOCDIR := /usr/share/doc/packages/mcelog
+
+# Note when changing prefix: some of the non-critical files like
+# the manpage or the init script have hardcoded prefixes
 
 # Warning flags added implicitely to CFLAGS in the default rule
 # this is done so that even when CFLAGS are overriden we still get
@@ -18,15 +21,21 @@
 # enable it here by uncommenting the following line
 # CONFIG_DISKDB = 1
 
+TRIGGERS=cache-error-trigger dimm-error-trigger page-error-trigger \
+	 socket-memory-error-trigger
+
 all: mcelog
 
 .PHONY: install clean depend
 
 OBJ := p4.o k8.o mcelog.o dmi.o tsc.o core2.o bitfield.o intel.o \
-       nehalem.o dunnington.o tulsa.o config.o memutil.o msg.o
+       nehalem.o dunnington.o tulsa.o config.o memutil.o msg.o   \
+       eventloop.o leaky-bucket.o memdb.o server.o trigger.o 	 \
+       client.o cache.o sysfs.o yellow.o page.o rbtree.o 	 \
+       xeon75xx.o sandy-bridge.o
 DISKDB_OBJ := diskdb.o dimm.o db.o
 CLEAN := mcelog dmi tsc dbquery .depend .depend.X dbquery.o ${DISKDB_OBJ}
-DOC := mce.pdf smbios.spec
+DOC := mce.pdf
 
 ADD_DEFINES :=
 
@@ -43,19 +52,21 @@
 
 # dbquery intentionally not installed by default
 install: mcelog
+	mkdir -p ${etcprefix}/etc/mcelog ${prefix}/sbin ${prefix}/share/man/man8
 	install -m 755 -p mcelog ${prefix}/sbin/mcelog
 	install -m 644 -p mcelog.8 ${prefix}/share/man/man8
-	install -m 644 -p -b mcelog.conf ${etcprefix}/etc/mcelog.conf
+	install -m 644 -p -b mcelog.conf ${etcprefix}/etc/mcelog/mcelog.conf
+	for i in ${TRIGGERS} ; do 						\
+		install -m 755 -p -b triggers/$$i ${etcprefix}/etc/mcelog ; 	\
+	done
 ifdef DOCDIR
 	install -m 644 -p ${DOC} ${DOCDIR} 
 else
 	echo
 	echo "Consider defining DOCDIR to install additional documentation"
 endif
-	echo
-	echo "call mcelog regularly from your crontab"
 
-clean:
+clean: test-clean
 	rm -f ${CLEAN} ${OBJ} 
 
 tsc:    tsc.c
@@ -75,7 +86,7 @@
 
 Makefile: .depend
 
-.PHONY: iccverify src
+.PHONY: iccverify src test
 
 # run the icc static verifier over sources. you need the intel compiler installed for this
 DISABLED_DIAGS := -diag-disable 188,271,869,2259,981,12072,181,12331,1572
@@ -83,5 +94,23 @@
 iccverify:
 	icc -Wall -diag-enable sv3 $(DISABLED_DIAGS) $(ADD_DEFINES) $(SRC)	
 
+clangverify:
+	clang --analyze $(ADD_DEFINES) $(SRC)
+
 src:
 	echo $(SRC)
+
+config-test: config.c
+	gcc -DTEST=1 config.c -o config-test
+
+test:
+	$(MAKE) -C tests test DEBUG=""
+
+VALGRIND=valgrind --leak-check=full
+
+valgrind-test:
+	$(MAKE) -C tests test DEBUG="${VALGRIND}"
+
+test-clean:
+	$(MAKE) -C tests clean
+
