## mcelog 1.0~pre3-72-gcbd4da4

=== debian/changelog ===
mcelog (1.0~pre3-72-gcbd4da4-1) unstable; urgency=low

  * New git snapshot.

  * debian/control:
    + Rework package description; mcelog is now required on i386 kernels too,
      since the x86 and x86-64 MCE support got merged together after the big
      x86 merge (closes: #629408).

 -- Julien BLACHE <jblache@debian.org>  Wed, 20 Jul 2011 18:41:03 +0200
