=== debian/control ===
Source: mcelog
Section: admin
Priority: optional
Maintainer: Julien BLACHE <jblache@debian.org>
Build-Depends: debhelper (>= 5.0.0)
Standards-Version: 3.9.2

Package: mcelog
Architecture: i386 amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, debconf (>= 0.5) | debconf-2.0, udev | makedev (>= 2.3.1-81)
Description: x86 Machine Check Exceptions collector and decoder
 The Linux kernel for x86 CPUs no longer decodes and logs recoverable
 Machine Check Exception (MCE) events to the kernel log on its own.
 .
 Instead, the MCE data is kept in a buffer which can be read from userspace
 via the /dev/mcelog device node.
 .
 You need this tool to collect and decode those events; it will log the decoded
 MCE events to syslog.
