=== debian/changelog ===
mcelog (100-1fakesync1) trusty-proposed; urgency=medium

  * Fake sync due to mismatching orig tarball.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 21 Feb 2014 17:40:03 -0800

mcelog (100-1) unstable; urgency=medium

  * New upstream snapshot
  * Upload to unstable
  * Source /lib/lsb/init-functions in the init script
  * Use canonical URLs in Vcs-*
  * Bump Standards-Version to 3.9.5 (no change needed)

 -- Andrey Rahmatullin <wrar@wrar.name>  Thu, 13 Feb 2014 02:39:38 +0600

mcelog (1.0~snapshot20121127-1~exp1) experimental; urgency=low

  * New upstream snapshot
    + Don't call all unsupported systems "new" (Closes: #676573)
  * Upload to experimental
  * Adopt the package (Closes: #688540)
  * Switch to debhelper v9 and to dh(1)
  * Rewrite debian/copyright in the machine-readable format, mention the
    license of rbtree.*
  * Add the Homepage field
  * Add the Vcs-* fields
  * Bump Standards-Version to 3.9.4 (no change needed)
  * Fix a spelling error
  * Escape hyphens in the manpage
  * Add proper Default-Stop: to the initscript

 -- Andrey Rahmatullin <wrar@wrar.name>  Fri, 30 Nov 2012 23:14:24 +0600
