=== debian/control ===
--- 
+++ 
@@ -1,9 +1,13 @@
 Source: mcelog
 Section: admin
 Priority: optional
-Maintainer: Julien BLACHE <jblache@debian.org>
-Build-Depends: debhelper (>= 5.0.0)
-Standards-Version: 3.9.2
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Andrey Rahmatullin <wrar@wrar.name>
+Build-Depends: debhelper (>= 9)
+Standards-Version: 3.9.5
+Homepage: http://mcelog.org/
+Vcs-Git: git://anonscm.debian.org/collab-maint/mcelog.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/mcelog.git;a=summary
 
 Package: mcelog
 Architecture: i386 amd64
