## mcelog 104

=== Makefile ===
--- 
+++ 
@@ -22,7 +22,10 @@
 # CONFIG_DISKDB = 1
 
 TRIGGERS=cache-error-trigger dimm-error-trigger page-error-trigger \
-	 socket-memory-error-trigger
+	 socket-memory-error-trigger \
+	 bus-error-trigger \
+	 iomca-error-trigger \
+	 unknown-error-trigger
 
 all: mcelog
 
@@ -32,7 +35,7 @@
        nehalem.o dunnington.o tulsa.o config.o memutil.o msg.o   \
        eventloop.o leaky-bucket.o memdb.o server.o trigger.o 	 \
        client.o cache.o sysfs.o yellow.o page.o rbtree.o 	 \
-       xeon75xx.o sandy-bridge.o ivy-bridge.o msr.o
+       xeon75xx.o sandy-bridge.o ivy-bridge.o haswell.o msr.o bus.o unknown.o
 DISKDB_OBJ := diskdb.o dimm.o db.o
 CLEAN := mcelog dmi tsc dbquery .depend .depend.X dbquery.o ${DISKDB_OBJ}
 DOC := mce.pdf
