=== debian/changelog ===
mcelog (104-1) unstable; urgency=medium

  * New upstream version
  * Drop MAKEDEV invocation from postinst and the alternative dependency on it.
  * Add --is-cpu-supported option and use it in the initscript to not fail on
    unsupported hardware (Closes: #738927)
  * Bump Standards-Version to 3.9.6 (no change needed)

 -- Andrey Rahmatullin <wrar@debian.org>  Mon, 20 Oct 2014 22:54:26 +0600

mcelog (102-1) unstable; urgency=medium

  * New upstream version
    - don't exit on AMD Family 15 CPUs
  * Note in the package description which CPUs are supported
  * Use CFLAGS from dpkg-buildflags

 -- Andrey Rahmatullin <wrar@debian.org>  Sun, 10 Aug 2014 23:45:42 +0600
