=== debian/control ===
Source: mcelog
Section: admin
Priority: optional
Maintainer: Andrey Rahmatullin <wrar@debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.6
Homepage: http://mcelog.org/
Vcs-Git: git://anonscm.debian.org/collab-maint/mcelog.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/mcelog.git;a=summary

Package: mcelog
Architecture: i386 amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, debconf (>= 0.5) | debconf-2.0, udev
Description: x86 Machine Check Exceptions collector and decoder
 The Linux kernel for x86 CPUs no longer decodes and logs recoverable
 Machine Check Exception (MCE) events to the kernel log on its own.
 .
 Instead, the MCE data is kept in a buffer which can be read from userspace
 via the /dev/mcelog device node.
 .
 You need this tool to collect and decode those events; it will log the decoded
 MCE events to syslog.
 .
 This tool supports only Intel processors and AMD processors with model number
 16 (K8).
