## mcelog 128+dfsg

=== debian/changelog ===
mcelog (128+dfsg-1) unstable; urgency=medium

  * New upstream version (Closes: #792263)
  * Add debian/watch by Dmitry Smirnov
  * Document that some files are removed from the upstream tarball by adding
    Files-Excluded to debian/changelog and adding +dfsg to the version

 -- Andrey Rahmatullin <wrar@debian.org>  Sat, 07 Nov 2015 16:10:07 +0500
