=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Andrey Rahmatullin <wrar@debian.org>
-Build-Depends: debhelper (>= 9)
+Build-Depends: debhelper (>= 9), python
 Standards-Version: 3.9.6
 Homepage: http://mcelog.org/
 Vcs-Git: git://anonscm.debian.org/collab-maint/mcelog.git
