=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	rm mcelog.conf.5
	dh_auto_build

override_dh_auto_test:

.PHONY: override_dh_auto_test override_dh_auto_build
