=== debian/changelog ===
mcelog (134+dfsg-1) unstable; urgency=medium

  * New upstream version
    + use /sys/firmware/dmi instead of /dev/mem if available, fix handling
      /dev/mem fd (Closes: #816825)
  * Bump Standards-Version to 3.9.7 (no change needed)
  * Update Vcs-* fields to use HTTPS
  * Fix spelling errors in code and manpages

 -- Andrey Rahmatullin <wrar@debian.org>  Sun, 27 Mar 2016 13:49:32 +0500
