=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Andrey Rahmatullin <wrar@debian.org>
 Build-Depends: debhelper (>= 9), python
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: http://mcelog.org/
-Vcs-Git: git://anonscm.debian.org/collab-maint/mcelog.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/mcelog.git;a=summary
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/mcelog.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/mcelog.git;a=summary
 
 Package: mcelog
 Architecture: i386 amd64
