## mcelog 137+dfsg

=== debian/changelog ===
mcelog (137+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Bump Standards-Version to 3.9.8 (no change needed)
  * Drop merged fix-spelling.patch

 -- Andrey Rahmatullin <wrar@debian.org>  Sat, 21 May 2016 21:28:37 +0500
