=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Andrey Rahmatullin <wrar@debian.org>
 Build-Depends: debhelper (>= 9), python
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: http://mcelog.org/
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/mcelog.git
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/mcelog.git;a=summary
