## mcelog 140+dfsg

=== Makefile ===
--- 
+++ 
@@ -37,8 +37,8 @@
        eventloop.o leaky-bucket.o memdb.o server.o trigger.o 	 \
        client.o cache.o sysfs.o yellow.o page.o rbtree.o 	 \
        xeon75xx.o sandy-bridge.o ivy-bridge.o haswell.o		 \
-       broadwell_de.o broadwell_epex.o msr.o bus.o \
-       unknown.o
+       broadwell_de.o broadwell_epex.o skylake_xeon.o		 \
+       msr.o bus.o unknown.o
 DISKDB_OBJ := diskdb.o dimm.o db.o
 CLEAN := mcelog dmi tsc dbquery .depend .depend.X dbquery.o ${DISKDB_OBJ} \
 	version.o version.c version.tmp
