=== debian/changelog ===
mcelog (140+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andrey Rahmatullin <wrar@debian.org>  Sun, 21 Aug 2016 16:27:29 +0500
