## mcelog 144+dfsg

=== tests/Makefile ===
--- 
+++ 
@@ -11,4 +11,4 @@
 
 clean:
 	rm -f */*log
-	rm -f */results
+	rm -f */results*
