=== debian/changelog ===
mcelog (144+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Switch to debhelper compat level 10
  * Add Depends: lsb-base
  * Add x32 to Architecture:

 -- Andrey Rahmatullin <wrar@debian.org>  Thu, 03 Nov 2016 00:26:44 +0500
