=== debian/changelog ===
mcelog (147+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andrey Rahmatullin <wrar@debian.org>  Fri, 13 Jan 2017 22:37:05 +0500
