=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Priority: optional
 Maintainer: Andrey Rahmatullin <wrar@debian.org>
 Uploaders: Nicholas D Steeves <nsteeves@gmail.com>
-Build-Depends: debhelper (>= 9), python
+Build-Depends: debhelper (>= 10), python
 Standards-Version: 3.9.8
 Homepage: http://mcelog.org/
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/mcelog.git
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/mcelog.git;a=summary
 
 Package: mcelog
-Architecture: i386 amd64
-Depends: ${shlibs:Depends}, ${misc:Depends}, debconf (>= 0.5) | debconf-2.0, udev
+Architecture: i386 amd64 x32
+Depends: ${shlibs:Depends}, ${misc:Depends}, debconf (>= 0.5) | debconf-2.0, udev, lsb-base
 Description: x86 Machine Check Exceptions collector and decoder
  The Linux kernel for x86 CPUs no longer decodes and logs recoverable
  Machine Check Exception (MCE) events to the kernel log on its own.
