=== debian/watch ===
version=3

opts=dversionmangle=s/\+dfsg\d*$// \
 https://github.com/andikleen/mcelog/releases \
 .*/archive/v?(\d[\d\.]+)\.tar\.gz
