## mcelog 153+dfsg

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 # Warning flags added implicitely to CFLAGS in the default rule
 # this is done so that even when CFLAGS are overriden we still get
 # the additional warnings
-# Some warnings require the global optimizer and are only output with 
+# Some warnings require the global optimizer and are only output with
 # -O2/-Os, so that should be tested occasionally
 WARNINGS := -Wall -Wextra -Wno-missing-field-initializers -Wno-unused-parameter \
 	    -Wstrict-prototypes -Wformat-security -Wmissing-declarations \
@@ -57,8 +57,8 @@
 		install -m 755 -p -b triggers/$$i $(DESTDIR)${etcprefix}/etc/mcelog ; 	\
 	done
 ifdef DOCDIR
-	install -d 755 $(DESTDIR)${DOCDIR} 
-	install -m 644 -p ${DOC} $(DESTDIR)${DOCDIR} 
+	install -d 755 $(DESTDIR)${DOCDIR}
+	install -m 644 -p ${DOC} $(DESTDIR)${DOCDIR}
 else
 	echo
 	echo "Consider defining DOCDIR to install additional documentation"
@@ -68,7 +68,7 @@
 	./genconfig.py mcelog.conf config-intro.man > mcelog.conf.5
 
 clean: test-clean
-	rm -f ${CLEAN} ${OBJ} 
+	rm -f ${CLEAN} ${OBJ}
 
 tsc:    tsc.c
 	$(CC) -o tsc ${CFLAGS} -DSTANDALONE tsc.c ${LDFLAGS}
@@ -81,16 +81,20 @@
 	$(CC) -c $(CFLAGS) $(CPPFLAGS) $(WARNINGS) $(ADD_DEFINES) -o $@ $<
 
 version.tmp: FORCE
-	( echo -n "char version[] = \"" ; 	\
-	if type -p git >/dev/null; then 	\
-	if [ -d .git ] ; then 			\
-		git describe --tags HEAD | tr -d '\n'; 	\
-	else 					\
-		echo -n "unknown" ; 		\
-	fi ;					\
-	else echo -n "unknown" ; fi ;		\
-	echo '";'				\
-	 ) > version.tmp
+	( printf "char version[] = \"" ; 			\
+	if test -e .os_version; then				\
+		cat .os_version	| tr -d '\n' ;			\
+	elif command -v git >/dev/null; then 			\
+		if [ -d .git ] ; then 				\
+			git describe --tags HEAD | tr -d '\n'; 	\
+		else 						\
+			printf "unknown" ; 			\
+		fi ;						\
+	else							\
+		printf "unknown" ;				\
+	fi ;							\
+	printf '";\n'						\
+	) > version.tmp
 
 version.c: version.tmp
 	cmp version.tmp version.c || mv version.tmp version.c
@@ -108,7 +112,7 @@
 DISABLED_DIAGS := -diag-disable 188,271,869,2259,981,12072,181,12331,1572
 
 iccverify:
-	icc -Wall -diag-enable sv3 $(DISABLED_DIAGS) $(ADD_DEFINES) $(SRC)	
+	icc -Wall -diag-enable sv3 $(DISABLED_DIAGS) $(ADD_DEFINES) $(SRC)
 
 clangverify:
 	clang --analyze $(ADD_DEFINES) $(SRC)
@@ -129,4 +133,3 @@
 
 test-clean:
 	$(MAKE) -C tests clean
-
