=== debian/changelog ===
mcelog (153+dfsg-1) unstable; urgency=medium

  * New upstream version
    + don't print a struct mce warning on newer kernels (Closes: #852799)
  * Bump Standards-Version to 4.0.0 (no change needed)

 -- Andrey Rahmatullin <wrar@debian.org>  Sun, 09 Jul 2017 21:36:35 +0500
