=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Andrey Rahmatullin <wrar@debian.org>
 Uploaders: Nicholas D Steeves <nsteeves@gmail.com>
 Build-Depends: debhelper (>= 10), python
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://mcelog.org/
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/mcelog.git
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/mcelog.git;a=summary
